> For the complete documentation index, see [llms.txt](https://akiba-digital.gitbook.io/akiba-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/verification-apis/selfie-id-verification.md).

# Selfie ID Verification

Our Real-Time ID Verification solution offers a seamless and secure way to verify user identities using a combination of facial recognition technology, selfie verification, and liveness checks. This advanced process ensures the authenticity of identity documents and enhances security in online transactions.

{% hint style="info" %}
**Good to know:** All the methods shown below are synced to an example Swagger file URL and are kept up to date automatically with changes to the API.Vr
{% endhint %}

### Expected data returned

* [x] Verified ID check&#x20;

### Upload user selfie

## Create New Signed Link.

<mark style="color:green;">`POST`</mark> `https://api.akibadigital.com/v1/customer`

Upload a new selfie.

#### Headers

| Name                                           | Type   | Description            |
| ---------------------------------------------- | ------ | ---------------------- |
| Token<mark style="color:red;">\*</mark>        | String | Your Access auth token |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json       |

#### Request Body

| Name                                         | Type   | Description                                                                       |
| -------------------------------------------- | ------ | --------------------------------------------------------------------------------- |
| identifier<mark style="color:red;">\*</mark> | string | The unique `id` of the customer (type and code of Id: national Id or company reg) |
| type<mark style="color:red;">\*</mark>       | string | `1` for individual and `2` for business                                           |
| selfie\_filename                             | string | The filename of the selfie doc                                                    |

{% tabs %}
{% tab title="200 Customer successfully created" %}

```javascript
{
    "identifier"="93055521xxx",
    "signed_link": "http://example.com",
    "s3_key": "string",
    "selfie_filename": "string",
    "customer_id": "A3020FM2PX"

}
```

{% endtab %}

{% tab title="401 Permission denied" %}

{% endtab %}
{% endtabs %}

### Verify user selfie

## Verify a Customer.

<mark style="color:green;">`POST`</mark> `https://api.akibadigital.com/v1/customer/verify`

#### Request Body

| Name                                               | Type   | Description                                            |
| -------------------------------------------------- | ------ | ------------------------------------------------------ |
| selfie\_filename<mark style="color:red;">\*</mark> | string | The name of the selfie filename                        |
| id<mark style="color:red;">\*</mark>               | string | The `id` of the customer (registration or national Id) |
| user\_type<mark style="color:red;">\*</mark>       | string | 1 for individual and 2 for business                    |
| s3\_key<mark style="color:red;">\*</mark>          | string | Key you've received in response to get signed link     |

{% tabs %}
{% tab title="200 Customer successfully created" %}

```javascript
{
    "status": "success",
    "message": "Identity and Selfie succesfully verified",
    "data": {
        "identity": {
                "_id": "5ea1812477c7700382b20edc",
                "id_number": "12345678989",
                "firstname": "FRANK",
                "lastname": "NONO",
                "fullname": "FRANK HLATSWAYO NONO",
                "dob": '1991-12-12',
                "gender": 'M',
                "marital_status": 'Single',
                "middlename": null,
                "photo_id": [
                    {
                        "_id": "5eaffd51f61c0e7bccf68c2d",
                        "url": "LINK TO SELFIE"
                    }
                ],
                "fraud_score": "0.21",
                "fraud_detected": "Low",
                "facial_recognition_confidence":"0.95",
                "created_at": "2020-04-23T11:51:00.286Z",
                "last_updated": "2020-12-21T17:45:25.908Z",
            }
    }
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/verification-apis/selfie-id-verification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
